Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyPluginServer

    java.lang.Object
      org.gradle.api.plugins.jetty.JettyPluginServer

All Implemented Interfaces:
  JettyPluginServer, Proxy

    public class JettyPluginServer

extends java.lang.Object
implements JettyPluginServer

Jetty6PluginServer

Jetty6 version of a wrapper for the Server class.

Field Summary
`static int` | `DEFAULT_MAX_IDLE_TIME`

Constructor Summary
`JettyPluginServer()`

Method Summary
`void` | `addWebApplication(org.mortbay.jetty.webapp.WebAppContext webapp)`
`void` | `configureHandlers()` Set up the handler structure to receive a webapp.
`java.lang.Object` | `createDefaultConnector(int port)`
`java.lang.Object[]` | `getConnectors()`
`java.lang.Object` | `getProxiedObject()`
`java.lang.Object` | `getRequestLog()`
`java.lang.Object[]` | `getUserRealms()`
`void` | `join()`
`void` | `setConnectors(java.lang.Object[] connectors)`
`void` | `setRequestLog(java.lang.Object requestLog)`
`void` | `setUserRealms(java.lang.Object[] realms)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MAX_IDLE_TIME

    public static int DEFAULT_MAX_IDLE_TIME

Constructor Detail

### JettyPluginServer

    public JettyPluginServer()

Method Detail

### setConnectors

    public void setConnectors(java.lang.Object[] connectors)

  Specified by:
    `setConnectors` in interface `JettyPluginServer`
  See Also:
    `setConnectors(Object[])`

### getConnectors

    public java.lang.Object[] getConnectors()

  Specified by:
    `getConnectors` in interface `JettyPluginServer`
  See Also:
    `JettyPluginServer.getConnectors()`

### setUserRealms

    public void setUserRealms(java.lang.Object[] realms)
                       throws java.lang.Exception

  Specified by:
    `setUserRealms` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `setUserRealms(Object[])`

### getUserRealms

    public java.lang.Object[] getUserRealms()

  Specified by:
    `getUserRealms` in interface `JettyPluginServer`
  See Also:
    `JettyPluginServer.getUserRealms()`

### setRequestLog

    public void setRequestLog(java.lang.Object requestLog)

  Specified by:
    `setRequestLog` in interface `JettyPluginServer`

### getRequestLog

    public java.lang.Object getRequestLog()

  Specified by:
    `getRequestLog` in interface `JettyPluginServer`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `JettyPluginServer.start()`

### getProxiedObject

    public java.lang.Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `Proxy`
  See Also:
    `Proxy.getProxiedObject()`

### addWebApplication

    public void addWebApplication(org.mortbay.jetty.webapp.WebAppContext webapp)
                           throws java.lang.Exception

  Specified by:
    `addWebApplication` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`
  See Also:
    `addWebApplication(org.mortbay.jetty.webapp.WebAppContext)`

### configureHandlers

    public void configureHandlers()
                           throws java.lang.Exception

  Set up the handler structure to receive a webapp. Also put in a DefaultHandler so we get a nice page than a 404 if we hit the root and the webapp's context isn't at root.

  Specified by:
    `configureHandlers` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`

### createDefaultConnector

    public java.lang.Object createDefaultConnector(int port)
                                            throws java.lang.Exception

  Specified by:
    `createDefaultConnector` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`

### join

    public void join()
              throws java.lang.Exception

  Specified by:
    `join` in interface `JettyPluginServer`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD